## gst-rtsp-server1.0 1.16.0

=== debian/changelog ===
gst-rtsp-server1.0 (1.16.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Dröge <slomo@debian.org>  Thu, 18 Jul 2019 11:59:59 +0300

gst-rtsp-server1.0 (1.16.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Apr 2019 10:25:18 +0300

=== debian/control ===
Source: gst-rtsp-server1.0
Section: libs
Priority: optional
Maintainer: Maintainers of GStreamer packages <gst-rtsp-server1.0@packages.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               autotools-dev,
               libglib2.0-dev (>= 2.40),
               libgstreamer1.0-dev (>= 1.16.0),
               libgstreamer-plugins-base1.0-dev (>= 1.16.0),
               gobject-introspection (>= 0.9.12-4~),
               libgirepository1.0-dev,
               gir1.2-gstreamer-1.0 (>= 1.16.0),
               gir1.2-gst-plugins-base-1.0 (>= 1.16.0),
               gstreamer1.0-plugins-base (>= 1.16.0),
               gstreamer1.0-plugins-good (>= 1.16.0),
               gtk-doc-tools (>= 1.3),
               libglib2.0-doc,
               gstreamer1.0-doc,
               gstreamer1.0-plugins-base-doc
Standards-Version: 3.9.6
Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-rtsp-server1.0.git
Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-rtsp-server1.0/
Homepage: https://gstreamer.freedesktop.org

Package: libgstrtspserver-1.0-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         libglib2.0-doc,
         gstreamer1.0-doc,
         gstreamer1.0-plugins-base-doc
Description: GStreamer RTSP Server (documentation)
 gst-rtsp-server is a library on top of GStreamer for building an RTSP
 server or embedding RTSP server capabilities into applications.
 .
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the documentation for the GStreamer RTSP Server.

Package: libgstrtspserver-1.0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libgstrtspserver-1.0-0 (= ${binary:Version}),
         libgstreamer-plugins-base1.0-dev,
         libgstreamer1.0-dev,
         libglib2.0-dev,
         gir1.2-gst-rtsp-server-1.0 (= ${binary:Version})
Description: GStreamer RTSP Server (development files)
 gst-rtsp-server is a library on top of GStreamer for building an RTSP
 server or embedding RTSP server capabilities into applications.
 .
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains development files for the GStreamer RTSP Server.

Package: libgstrtspserver-1.0-0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gstreamer1.0-plugins-base (>= 1.16.0),
         gstreamer1.0-plugins-good (>= 1.16.0)
Description: GStreamer RTSP Server (shared library)
 gst-rtsp-server is a library on top of GStreamer for building an RTSP
 server or embedding RTSP server capabilities into applications.
 .
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the shared library for the GStreamer RTSP Server.

Package: libgstrtspserver-1.0-0-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgstrtspserver-1.0-0 (= ${binary:Version})
Description: GStreamer RTSP Server (debug symbols)
 gst-rtsp-server is a library on top of GStreamer for building an RTSP
 server or embedding RTSP server capabilities into applications.
 .
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains unstripped shared libraries. It is provided primarily
 to provide a backtrace with names in a debugger, this makes it somewhat
 easier to interpret core dumps. The libraries are installed in
 /usr/lib/debug and are automatically used by gdb.

Package: gir1.2-gst-rtsp-server-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection data for the GStreamer RTSP Server
 gst-rtsp-server is a library on top of GStreamer for building an RTSP
 server or embedding RTSP server capabilities into applications.
 .
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains introspection data for the GStreamer RTSP Server.

Package: gstreamer1.0-rtsp
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgstrtspserver-1.0-0 (= ${binary:Version})
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: RTSP plugin for GStreamer
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugin for RTSP.

Package: gstreamer1.0-rtsp-dbg
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gstreamer1.0-rtsp (= ${binary:Version})
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: RTSP plugin for GStreamer
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugin for RTSP.

## gst-rtsp-server1.0 1.16.1

=== debian/changelog ===
gst-rtsp-server1.0 (1.16.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Wed, 25 Sep 2019 12:02:49 +0300

gst-rtsp-server1.0 (1.16.0-3) unstable; urgency=medium

  * Source-only re-upload

 -- Sebastian Dröge <slomo@debian.org>  Mon, 02 Sep 2019 10:34:44 +0300

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
                dh-autoreconf,
                autotools-dev,
                libglib2.0-dev (>= 2.40),
-               libgstreamer1.0-dev (>= 1.16.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.16.0),
+               libgstreamer1.0-dev (>= 1.16.1),
+               libgstreamer-plugins-base1.0-dev (>= 1.16.1),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev,
-               gir1.2-gstreamer-1.0 (>= 1.16.0),
-               gir1.2-gst-plugins-base-1.0 (>= 1.16.0),
-               gstreamer1.0-plugins-base (>= 1.16.0),
-               gstreamer1.0-plugins-good (>= 1.16.0),
+               gir1.2-gstreamer-1.0 (>= 1.16.1),
+               gir1.2-gst-plugins-base-1.0 (>= 1.16.1),
+               gstreamer1.0-plugins-base (>= 1.16.1),
+               gstreamer1.0-plugins-good (>= 1.16.1),
                gtk-doc-tools (>= 1.3),
                libglib2.0-doc,
                gstreamer1.0-doc,
@@ -73,8 +73,8 @@
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         gstreamer1.0-plugins-base (>= 1.16.0),
-         gstreamer1.0-plugins-good (>= 1.16.0)
+         gstreamer1.0-plugins-base (>= 1.16.1),
+         gstreamer1.0-plugins-good (>= 1.16.1)
 Description: GStreamer RTSP Server (shared library)
  gst-rtsp-server is a library on top of GStreamer for building an RTSP
  server or embedding RTSP server capabilities into applications.

## gst-rtsp-server1.0 1.16.2

=== meson_options.txt ===
# Feature options for plugins with no external deps
option('rtspclientsink', type : 'feature', value : 'auto')

# Common feature options
option('examples', type : 'feature', value : 'auto', yield : true,
       description : 'Build the examples')
option('tests', type : 'feature', value : 'auto', yield : true,
       description : 'Build and enable unit tests')
option('introspection', type : 'feature', value : 'auto', yield : true,
       description : 'Generate gobject-introspection bindings')
option('gobject-cast-checks', type : 'feature', value : 'auto', yield : true,
       description: 'Enable run-time GObject cast checks (auto = enabled for development, disabled for stable releases)')
option('glib-asserts', type : 'feature', value : 'enabled', yield : true,
       description: 'Enable GLib assertion (auto = enabled for development, disabled for stable releases)')
option('glib-checks', type : 'feature', value : 'enabled', yield : true,
       description: 'Enable GLib checks such as API guards (auto = enabled for development, disabled for stable releases)')

# Common options
option('package-name', type : 'string', yield : true,
       description : 'package name to use in plugins')
option('package-origin', type : 'string',
       value : 'Unknown package origin', yield : true,
       description : 'package origin URL to use in plugins')

=== debian/changelog ===
gst-rtsp-server1.0 (1.16.2-3) unstable; urgency=high

  * debian/patches/0001_rtsp-auth-null-pointer-dereference.patch:
    + Fix NULL pointer dereference in authentication code (CVE-2020-6095).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 24 Mar 2020 12:49:51 +0200

gst-rtsp-server1.0 (1.16.2-2) unstable; urgency=medium

  * Source-only re-upload.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 09 Dec 2019 12:05:30 +0200

gst-rtsp-server1.0 (1.16.2-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Dröge <slomo@debian.org>  Wed, 04 Dec 2019 16:11:55 +0200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
                dh-autoreconf,
                autotools-dev,
                libglib2.0-dev (>= 2.40),
-               libgstreamer1.0-dev (>= 1.16.1),
-               libgstreamer-plugins-base1.0-dev (>= 1.16.1),
+               libgstreamer1.0-dev (>= 1.16.2),
+               libgstreamer-plugins-base1.0-dev (>= 1.16.2),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev,
-               gir1.2-gstreamer-1.0 (>= 1.16.1),
-               gir1.2-gst-plugins-base-1.0 (>= 1.16.1),
-               gstreamer1.0-plugins-base (>= 1.16.1),
-               gstreamer1.0-plugins-good (>= 1.16.1),
+               gir1.2-gstreamer-1.0 (>= 1.16.2),
+               gir1.2-gst-plugins-base-1.0 (>= 1.16.2),
+               gstreamer1.0-plugins-base (>= 1.16.2),
+               gstreamer1.0-plugins-good (>= 1.16.2),
                gtk-doc-tools (>= 1.3),
                libglib2.0-doc,
                gstreamer1.0-doc,
@@ -73,8 +73,8 @@
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         gstreamer1.0-plugins-base (>= 1.16.1),
-         gstreamer1.0-plugins-good (>= 1.16.1)
+         gstreamer1.0-plugins-base (>= 1.16.2),
+         gstreamer1.0-plugins-good (>= 1.16.2)
 Description: GStreamer RTSP Server (shared library)
  gst-rtsp-server is a library on top of GStreamer for building an RTSP
  server or embedding RTSP server capabilities into applications.

## gst-rtsp-server1.0 1.18.0

=== debian/changelog ===
gst-rtsp-server1.0 (1.18.0-2) unstable; urgency=medium

  * debian/rules:
    + Add `--with gir` to generate correct dependencies. Thanks to Ken VanDine.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Sep 2020 15:16:39 +0300

gst-rtsp-server1.0 (1.18.0-1) unstable; urgency=medium

  * New upstream stable release.
  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Sep 2020 12:16:54 +0300

gst-rtsp-server1.0 (1.17.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 21 Aug 2020 14:54:10 +0300

gst-rtsp-server1.0 (1.17.2-1) experimental; urgency=low

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Transition to automatic debug packages (from: libgstrtspserver-1.0-0-dbg,
    gstreamer1.0-rtsp-dbg).
  * Use secure URI in debian/watch.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name (from
    ./configure), Repository, Repository-Browse.
  * Drop unnecessary dependency on dh-autoreconf.
  * Remove Section on libgstrtspserver-1.0-0, Section on gstreamer1.0-rtsp that
    duplicate source.

  [ Sebastian Dröge ]
  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 08 Jul 2020 15:31:24 +0300

## gst-rtsp-server1.0 1.18.1

=== debian/changelog ===
gst-rtsp-server1.0 (1.18.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 28 Oct 2020 08:57:58 +0200

## gst-rtsp-server1.0 1.18.2

=== debian/changelog ===
gst-rtsp-server1.0 (1.18.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 07 Dec 2020 10:14:37 +0200

## gst-rtsp-server1.0 1.18.3

=== debian/changelog ===
gst-rtsp-server1.0 (1.18.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 14 Jan 2021 09:56:40 +0200

## gst-rtsp-server1.0 1.18.4

=== debian/changelog ===
gst-rtsp-server1.0 (1.18.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 22 Apr 2021 20:59:03 +0300

gst-rtsp-server1.0 (1.18.4-1) experimental; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 05 Apr 2021 11:58:39 +0300

=== debian/control ===
Source: gst-rtsp-server1.0
Section: libs
Priority: optional
Maintainer: Maintainers of GStreamer packages <gst-rtsp-server1.0@packages.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper-compat (= 13),
               debhelper,
               meson (>= 0.48),
               pkg-config (>= 0.11.0),
               libglib2.0-dev (>= 2.44),
               libgstreamer1.0-dev (>= 1.18.0),
               libgstreamer-plugins-base1.0-dev (>= 1.18.0),
               libgstreamer-plugins-bad1.0-dev (>= 1.18.0),
               gobject-introspection (>= 0.9.12-4~),
               libgirepository1.0-dev,
               gir1.2-gstreamer-1.0 (>= 1.18.0),
               gir1.2-gst-plugins-base-1.0 (>= 1.18.0),
               gstreamer1.0-plugins-base (>= 1.18.0),
               gstreamer1.0-plugins-good (>= 1.18.0),
               gstreamer1.0-plugins-bad (>= 1.18.0)
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-rtsp-server1.0.git
Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-rtsp-server1.0/
Homepage: https://gstreamer.freedesktop.org

Package: libgstrtspserver-1.0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libgstrtspserver-1.0-0 (= ${binary:Version}),
         libgstreamer-plugins-base1.0-dev,
         libgstreamer1.0-dev,
         libglib2.0-dev,
         gir1.2-gst-rtsp-server-1.0 (= ${binary:Version})
Description: GStreamer RTSP Server (development files)
 gst-rtsp-server is a library on top of GStreamer for building an RTSP
 server or embedding RTSP server capabilities into applications.
 .
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains development files for the GStreamer RTSP Server.

Package: libgstrtspserver-1.0-0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gstreamer1.0-plugins-base (>= 1.18.0),
         gstreamer1.0-plugins-good (>= 1.18.0),
         gstreamer1.0-plugins-bad (>= 1.18.0)
Description: GStreamer RTSP Server (shared library)
 gst-rtsp-server is a library on top of GStreamer for building an RTSP
 server or embedding RTSP server capabilities into applications.
 .
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the shared library for the GStreamer RTSP Server.

Package: gir1.2-gst-rtsp-server-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection data for the GStreamer RTSP Server
 gst-rtsp-server is a library on top of GStreamer for building an RTSP
 server or embedding RTSP server capabilities into applications.
 .
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains introspection data for the GStreamer RTSP Server.

Package: gstreamer1.0-rtsp
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgstrtspserver-1.0-0 (= ${binary:Version})
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: RTSP plugin for GStreamer
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugin for RTSP.

## gst-rtsp-server1.0 1.18.5

=== debian/changelog ===
gst-rtsp-server1.0 (1.18.5-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 13 Sep 2021 09:47:52 +0300

## gst-rtsp-server1.0 1.19.90

=== debian/changelog ===
gst-rtsp-server1.0 (1.19.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 28 Jan 2022 18:35:40 +0200

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,19 @@
 Uploaders: Sebastian Dröge <slomo@debian.org>
 Build-Depends: debhelper-compat (= 13),
                debhelper,
-               meson (>= 0.48),
+               meson (>= 0.59),
                pkg-config (>= 0.11.0),
-               libglib2.0-dev (>= 2.44),
-               libgstreamer1.0-dev (>= 1.18.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.18.0),
-               libgstreamer-plugins-bad1.0-dev (>= 1.18.0),
+               libglib2.0-dev (>= 2.56),
+               libgstreamer1.0-dev (>= 1.19.90),
+               libgstreamer-plugins-base1.0-dev (>= 1.19.90),
+               libgstreamer-plugins-bad1.0-dev (>= 1.19.90),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev,
-               gir1.2-gstreamer-1.0 (>= 1.18.0),
-               gir1.2-gst-plugins-base-1.0 (>= 1.18.0),
-               gstreamer1.0-plugins-base (>= 1.18.0),
-               gstreamer1.0-plugins-good (>= 1.18.0),
-               gstreamer1.0-plugins-bad (>= 1.18.0)
+               gir1.2-gstreamer-1.0 (>= 1.19.90),
+               gir1.2-gst-plugins-base-1.0 (>= 1.19.90),
+               gstreamer1.0-plugins-base (>= 1.19.90),
+               gstreamer1.0-plugins-good (>= 1.19.90),
+               gstreamer1.0-plugins-bad (>= 1.19.90)
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-rtsp-server1.0.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-rtsp-server1.0/
@@ -50,9 +50,9 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         gstreamer1.0-plugins-base (>= 1.18.0),
-         gstreamer1.0-plugins-good (>= 1.18.0),
-         gstreamer1.0-plugins-bad (>= 1.18.0)
+         gstreamer1.0-plugins-base (>= 1.19.90),
+         gstreamer1.0-plugins-good (>= 1.19.90),
+         gstreamer1.0-plugins-bad (>= 1.19.90)
 Description: GStreamer RTSP Server (shared library)
  gst-rtsp-server is a library on top of GStreamer for building an RTSP
  server or embedding RTSP server capabilities into applications.

## gst-rtsp-server1.0 1.20.0

=== debian/changelog ===
gst-rtsp-server1.0 (1.20.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 04 Feb 2022 09:04:04 +0200

=== debian/watch ===
version=3
http://gstreamer.freedesktop.org/src/gst-rtsp-server/gst-rtsp-server-(1\.[\d]+\.[\d]+)\.tar\.xz

## gst-rtsp-server1.0 1.20.1

=== debian/changelog ===
gst-rtsp-server1.0 (1.20.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 14 Mar 2022 17:41:18 +0200

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,16 @@
                meson (>= 0.59),
                pkg-config (>= 0.11.0),
                libglib2.0-dev (>= 2.56),
-               libgstreamer1.0-dev (>= 1.19.90),
-               libgstreamer-plugins-base1.0-dev (>= 1.19.90),
-               libgstreamer-plugins-bad1.0-dev (>= 1.19.90),
+               libgstreamer1.0-dev (>= 1.20.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.20.0),
+               libgstreamer-plugins-bad1.0-dev (>= 1.20.0),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev,
-               gir1.2-gstreamer-1.0 (>= 1.19.90),
-               gir1.2-gst-plugins-base-1.0 (>= 1.19.90),
-               gstreamer1.0-plugins-base (>= 1.19.90),
-               gstreamer1.0-plugins-good (>= 1.19.90),
-               gstreamer1.0-plugins-bad (>= 1.19.90)
+               gir1.2-gstreamer-1.0 (>= 1.20.0),
+               gir1.2-gst-plugins-base-1.0 (>= 1.20.0),
+               gstreamer1.0-plugins-base (>= 1.20.0),
+               gstreamer1.0-plugins-good (>= 1.20.0),
+               gstreamer1.0-plugins-bad (>= 1.20.0)
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-rtsp-server1.0.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-rtsp-server1.0/
@@ -50,9 +50,9 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         gstreamer1.0-plugins-base (>= 1.19.90),
-         gstreamer1.0-plugins-good (>= 1.19.90),
-         gstreamer1.0-plugins-bad (>= 1.19.90)
+         gstreamer1.0-plugins-base (>= 1.20.0),
+         gstreamer1.0-plugins-good (>= 1.20.0),
+         gstreamer1.0-plugins-bad (>= 1.20.0)
 Description: GStreamer RTSP Server (shared library)
  gst-rtsp-server is a library on top of GStreamer for building an RTSP
  server or embedding RTSP server capabilities into applications.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export HOME=$(CURDIR)/fake-home

# debian package version
version=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
# upstream version
gst_version=$(shell echo $(version) | cut -d '-' -f 1)

CFLAGS += -Wno-error
CXXFLAGS += -Wno-error
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

conf_flags = --libdir=lib/$(DEB_HOST_MULTIARCH) --libexecdir=lib/$(DEB_HOST_MULTIARCH)/gstreamer1.0

%:
	dh $@ --with gir --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- --default-library shared $(conf_flags)

override_dh_auto_test:
	true

override_dh_shlibdeps:
	dh_shlibdeps
	mkdir -p $(CURDIR)/fake-home
	HOME=$(CURDIR)/fake-home \
		dh_girepository -pgir1.2-gst-rtsp-server-1.2
	rm -rf $(CURDIR)/fake-home

override_dh_strip:
	dh_strip -plibgstrtspserver-1.0-0 --dbgsym-migration='libgstrtspserver-1.0-0-dbg (<< 1.16.2-4~)'
	dh_strip -pgstreamer1.0-rtsp --dbgsym-migration='gstreamer1.0-rtsp-dbg (<< 1.16.2-4~)'
	dh_strip --remaining-packages

override_dh_makeshlibs:
	dh_makeshlibs -plibgstrtspserver-1.0-0 -V 'libgstrtspserver-1.0-0 (>= $(gst_version))' -- -c4

## gst-rtsp-server1.0 1.20.2

=== debian/changelog ===
gst-rtsp-server1.0 (1.20.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 03 May 2022 10:12:22 +0300

## gst-rtsp-server1.0 1.20.3

=== debian/changelog ===
gst-rtsp-server1.0 (1.20.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 21 Jun 2022 10:34:46 +0300

## gst-rtsp-server1.0 1.20.5

=== debian/changelog ===
gst-rtsp-server1.0 (1.20.5-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * New upstream release
  * Add debian/upstream/signing-key.asc and update debian/watch to use it

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 05 Jan 2023 15:05:19 -0500

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,21 @@
 Maintainer: Maintainers of GStreamer packages <gst-rtsp-server1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               debhelper,
+               dh-sequence-gir,
                meson (>= 0.59),
-               pkg-config (>= 0.11.0),
-               libglib2.0-dev (>= 2.56),
+               pkg-config,
+               libglib2.0-dev,
                libgstreamer1.0-dev (>= 1.20.0),
                libgstreamer-plugins-base1.0-dev (>= 1.20.0),
                libgstreamer-plugins-bad1.0-dev (>= 1.20.0),
-               gobject-introspection (>= 0.9.12-4~),
+               gobject-introspection,
                libgirepository1.0-dev,
                gir1.2-gstreamer-1.0 (>= 1.20.0),
                gir1.2-gst-plugins-base-1.0 (>= 1.20.0),
                gstreamer1.0-plugins-base (>= 1.20.0),
                gstreamer1.0-plugins-good (>= 1.20.0),
                gstreamer1.0-plugins-bad (>= 1.20.0)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-rtsp-server1.0.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-rtsp-server1.0/
 Homepage: https://gstreamer.freedesktop.org

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export HOME=$(CURDIR)/fake-home

# debian package version
version=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
# upstream version
gst_version=$(shell echo $(version) | cut -d '-' -f 1)

CFLAGS += -Wno-error
CXXFLAGS += -Wno-error
LDFLAGS += -Wl,-z,defs -Wl,-O1

%:
	dh $@

override_dh_auto_test:

execute_after_dh_shlibdeps:
	mkdir -p $(CURDIR)/fake-home
	HOME=$(CURDIR)/fake-home \
		dh_girepository -pgir1.2-gst-rtsp-server-1.2
	rm -rf $(CURDIR)/fake-home

override_dh_makeshlibs:
	dh_makeshlibs -plibgstrtspserver-1.0-0 -V 'libgstrtspserver-1.0-0 (>= $(gst_version))' -- -c4

## gst-rtsp-server1.0 1.22.0

=== debian/changelog ===
gst-rtsp-server1.0 (1.22.0-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 28 Jan 2023 14:43:29 -0500

gst-rtsp-server1.0 (1.22.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Bump minimum glib, gstreamer, and meson
  * Add debian/gbp.conf
  * debian/libgstrtspserver-1.0-0.symbols: Add new symbol
  * debian/rules: Set -Dauto_features=enabled
  * Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.6.2

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 27 Jan 2023 12:05:57 -0500

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,21 @@
 Uploaders: Sebastian Dröge <slomo@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
-               meson (>= 0.59),
+               meson (>= 0.62),
                pkg-config,
-               libglib2.0-dev,
-               libgstreamer1.0-dev (>= 1.20.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.20.0),
-               libgstreamer-plugins-bad1.0-dev (>= 1.20.0),
+               libglib2.0-dev (>= 2.62),
+               libgstreamer1.0-dev (>= 1.22.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.22.0),
+               libgstreamer-plugins-bad1.0-dev (>= 1.22.0),
                gobject-introspection,
                libgirepository1.0-dev,
-               gir1.2-gstreamer-1.0 (>= 1.20.0),
-               gir1.2-gst-plugins-base-1.0 (>= 1.20.0),
-               gstreamer1.0-plugins-base (>= 1.20.0),
-               gstreamer1.0-plugins-good (>= 1.20.0),
-               gstreamer1.0-plugins-bad (>= 1.20.0)
-Standards-Version: 4.6.1
+               gir1.2-gstreamer-1.0 (>= 1.22.0),
+               gir1.2-gst-plugins-base-1.0 (>= 1.22.0),
+               gstreamer1.0-plugins-base (>= 1.22.0),
+               gstreamer1.0-plugins-good (>= 1.22.0),
+               gstreamer1.0-plugins-bad (>= 1.22.0)
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-rtsp-server1.0.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-rtsp-server1.0/
 Homepage: https://gstreamer.freedesktop.org
@@ -50,9 +51,9 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         gstreamer1.0-plugins-base (>= 1.20.0),
-         gstreamer1.0-plugins-good (>= 1.20.0),
-         gstreamer1.0-plugins-bad (>= 1.20.0)
+         gstreamer1.0-plugins-base (>= 1.22.0),
+         gstreamer1.0-plugins-good (>= 1.22.0),
+         gstreamer1.0-plugins-bad (>= 1.22.0)
 Description: GStreamer RTSP Server (shared library)
  gst-rtsp-server is a library on top of GStreamer for building an RTSP
  server or embedding RTSP server capabilities into applications.

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,10 @@
 %:
 	dh $@
 
+override_dh_auto_configure:
+	dh_auto_configure -- \
+		-Dauto_features=enabled -Ddoc=disabled
+
 override_dh_auto_test:
 
 execute_after_dh_shlibdeps:

## gst-rtsp-server1.0 1.22.1

=== debian/changelog ===
gst-rtsp-server1.0 (1.22.1-1) experimental; urgency=medium

  * Team upload
  * New upstream bugfix release (LP: #2015129)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 04 Apr 2023 10:25:21 -0400

## gst-rtsp-server1.0 1.22.2

=== debian/changelog ===
gst-rtsp-server1.0 (1.22.2-1) experimental; urgency=medium

  * Team upload
  * New upstream bugfix release (LP: #2015943)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 11 Apr 2023 20:31:13 -0400

## gst-rtsp-server1.0 1.22.3

=== debian/changelog ===
gst-rtsp-server1.0 (1.22.3-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 12 Jun 2023 14:46:08 -0400

gst-rtsp-server1.0 (1.22.3-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * debian/rules: Set all hardening flags

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 19 May 2023 14:32:58 -0400

## gst-rtsp-server1.0 1.22.4

=== debian/changelog ===
gst-rtsp-server1.0 (1.22.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 30 Jun 2023 12:19:38 -0400

## gst-rtsp-server1.0 1.22.5

=== debian/changelog ===
gst-rtsp-server1.0 (1.22.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 15 Aug 2023 11:18:51 -0400

## gst-rtsp-server1.0 1.22.6

=== debian/changelog ===
gst-rtsp-server1.0 (1.22.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Sep 2023 12:54:56 -0400

## gst-rtsp-server1.0 1.22.7

=== debian/changelog ===
gst-rtsp-server1.0 (1.22.7-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Marc Leeman <m.leeman@televic.com>  Tue, 14 Nov 2023 07:43:48 -0500

=== debian/rules ===
--- 
+++ 
@@ -2,16 +2,14 @@
 
 include /usr/share/dpkg/default.mk
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 export HOME=$(CURDIR)/fake-home
 
 # debian package version
 version=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
 # upstream version
 gst_version=$(shell echo $(version) | cut -d '-' -f 1)
-
-CFLAGS += -Wno-error
-CXXFLAGS += -Wno-error
-LDFLAGS += -Wl,-z,defs -Wl,-O1
 
 %:
 	dh $@

## gst-rtsp-server1.0 1.22.8

=== debian/changelog ===
gst-rtsp-server1.0 (1.22.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.22.8

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 18 Dec 2023 17:06:39 +0100

## gst-rtsp-server1.0 1.24.2

=== debian/changelog ===
gst-rtsp-server1.0 (1.24.2-1) unstable; urgency=medium

  * New upstream version 1.24.2

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 10 Apr 2024 10:20:33 +0200

gst-rtsp-server1.0 (1.24.1-1) unstable; urgency=medium

  * New upstream version 1.24.1

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 22 Mar 2024 11:30:21 +0100

gst-rtsp-server1.0 (1.24.0-1) unstable; urgency=medium

  * Revert "d/watch: pin master releases on 1.22.x"
  * New upstream version 1.24.0
  * d/control: bump gstreamer dependencies to 1.24.0

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 05 Mar 2024 15:35:55 +0100

gst-rtsp-server1.0 (1.22.10-1) unstable; urgency=medium

  * d/watch: pin master releases on 1.22.x
  * New upstream version 1.22.10
  * d/control: pkg-config is transitional

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 14 Feb 2024 13:33:55 +0100

gst-rtsp-server1.0 (1.22.9-1) unstable; urgency=medium

  * New upstream version 1.22.9

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 02 Feb 2024 16:36:45 +0100

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,23 @@
 Section: libs
 Priority: optional
 Maintainer: Maintainers of GStreamer packages <gst-rtsp-server1.0@packages.debian.org>
-Uploaders: Sebastian Dröge <slomo@debian.org>
+Uploaders: Sebastian Dröge <slomo@debian.org>,
+           Marc Leeman <marc.leeman@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                meson (>= 0.62),
-               pkg-config,
+               pkgconf,
                libglib2.0-dev (>= 2.62),
-               libgstreamer1.0-dev (>= 1.22.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.22.0),
-               libgstreamer-plugins-bad1.0-dev (>= 1.22.0),
+               libgstreamer1.0-dev (>= 1.24.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.24.0),
+               libgstreamer-plugins-bad1.0-dev (>= 1.24.0),
                gobject-introspection,
                libgirepository1.0-dev,
-               gir1.2-gstreamer-1.0 (>= 1.22.0),
-               gir1.2-gst-plugins-base-1.0 (>= 1.22.0),
-               gstreamer1.0-plugins-base (>= 1.22.0),
-               gstreamer1.0-plugins-good (>= 1.22.0),
-               gstreamer1.0-plugins-bad (>= 1.22.0)
+               gir1.2-gstreamer-1.0 (>= 1.24.0),
+               gir1.2-gst-plugins-base-1.0 (>= 1.24.0),
+               gstreamer1.0-plugins-base (>= 1.24.0),
+               gstreamer1.0-plugins-good (>= 1.24.0),
+               gstreamer1.0-plugins-bad (>= 1.24.0)
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-rtsp-server1.0.git
@@ -51,9 +52,9 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         gstreamer1.0-plugins-base (>= 1.22.0),
-         gstreamer1.0-plugins-good (>= 1.22.0),
-         gstreamer1.0-plugins-bad (>= 1.22.0)
+         gstreamer1.0-plugins-base (>= 1.24.0),
+         gstreamer1.0-plugins-good (>= 1.24.0),
+         gstreamer1.0-plugins-bad (>= 1.24.0)
 Description: GStreamer RTSP Server (shared library)
  gst-rtsp-server is a library on top of GStreamer for building an RTSP
  server or embedding RTSP server capabilities into applications.

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://gstreamer.freedesktop.org/src/gst-rtsp-server/ gst-rtsp-server-(1\.[\d]+\.[\d]+)@ARCHIVE_EXT@

## gst-rtsp-server1.0 1.24.3

=== debian/changelog ===
gst-rtsp-server1.0 (1.24.3-1) unstable; urgency=medium

  * New upstream version 1.24.3

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 30 Apr 2024 11:24:43 +0200

## gst-rtsp-server1.0 1.24.4

=== debian/changelog ===
gst-rtsp-server1.0 (1.24.4-1) unstable; urgency=medium

  * New upstream version 1.24.4

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 29 May 2024 14:27:52 +0200

## gst-rtsp-server1.0 1.24.5

=== debian/changelog ===
gst-rtsp-server1.0 (1.24.5-1) unstable; urgency=medium

  * New upstream version 1.24.5

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 20 Jun 2024 16:38:44 +0200

## gst-rtsp-server1.0 1.24.6

=== debian/changelog ===
gst-rtsp-server1.0 (1.24.6-1) unstable; urgency=medium

  * New upstream version 1.24.6

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 29 Jul 2024 19:33:30 +0200

## gst-rtsp-server1.0 1.24.7

=== debian/changelog ===
gst-rtsp-server1.0 (1.24.7-1) unstable; urgency=medium

  * d/rules: debian-rules-parses-dpkg-parsechangelog
  * New upstream version 1.24.7

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 21 Aug 2024 17:34:11 +0200

## gst-rtsp-server1.0 1.24.8

=== debian/changelog ===
gst-rtsp-server1.0 (1.24.8-1) unstable; urgency=medium

  * New upstream version 1.24.8

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 19 Sep 2024 15:10:31 +0200

## gst-rtsp-server1.0 1.24.10

=== debian/changelog ===
gst-rtsp-server1.0 (1.24.10-1) unstable; urgency=medium

  * New upstream version 1.24.10

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 04 Dec 2024 11:08:02 +0100

gst-rtsp-server1.0 (1.24.9-1) unstable; urgency=medium

  * New upstream version 1.24.9

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 31 Oct 2024 09:37:08 +0100

## gst-rtsp-server1.0 1.24.11

=== debian/changelog ===
gst-rtsp-server1.0 (1.24.11-1) unstable; urgency=medium

  * New upstream version 1.24.11

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 07 Jan 2025 09:16:14 +0100

## gst-rtsp-server1.0 1.24.12

=== debian/changelog ===
gst-rtsp-server1.0 (1.24.12-1) unstable; urgency=medium

  * d/watch pin on 1.24.x
  * New upstream version 1.24.12

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 30 Jan 2025 09:27:02 +0100

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://gstreamer.freedesktop.org/src/gst-rtsp-server/ gst-rtsp-server-(1\.24\.[\d]+)@ARCHIVE_EXT@

## gst-rtsp-server1.0 1.25.50

=== debian/changelog ===
gst-rtsp-server1.0 (1.25.50-1) experimental; urgency=medium

  * New upstream version 1.25.50

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 11 Feb 2025 14:12:41 +0100

gst-rtsp-server1.0 (1.25.1-2) experimental; urgency=medium

  * d/control: bump GStreamer version to 1.25.1

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 21 Jan 2025 17:30:37 +0100

gst-rtsp-server1.0 (1.25.1-1) experimental; urgency=medium

  * d/gbp.conf: adjust for experimental
  * New upstream version 1.25.1

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 15 Jan 2025 13:55:18 +0100

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,16 @@
                meson (>= 0.62),
                pkgconf,
                libglib2.0-dev (>= 2.62),
-               libgstreamer1.0-dev (>= 1.24.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.24.0),
-               libgstreamer-plugins-bad1.0-dev (>= 1.24.0),
+               libgstreamer1.0-dev (>= 1.25.1),
+               libgstreamer-plugins-base1.0-dev (>= 1.25.1),
+               libgstreamer-plugins-bad1.0-dev (>= 1.25.1),
                gobject-introspection,
                libgirepository1.0-dev,
-               gir1.2-gstreamer-1.0 (>= 1.24.0),
-               gir1.2-gst-plugins-base-1.0 (>= 1.24.0),
-               gstreamer1.0-plugins-base (>= 1.24.0),
-               gstreamer1.0-plugins-good (>= 1.24.0),
-               gstreamer1.0-plugins-bad (>= 1.24.0)
+               gir1.2-gstreamer-1.0 (>= 1.25.1),
+               gir1.2-gst-plugins-base-1.0 (>= 1.25.1),
+               gstreamer1.0-plugins-base (>= 1.25.1),
+               gstreamer1.0-plugins-good (>= 1.25.1),
+               gstreamer1.0-plugins-bad (>= 1.25.1)
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-rtsp-server1.0.git
@@ -52,9 +52,9 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         gstreamer1.0-plugins-base (>= 1.24.0),
-         gstreamer1.0-plugins-good (>= 1.24.0),
-         gstreamer1.0-plugins-bad (>= 1.24.0)
+         gstreamer1.0-plugins-base (>= 1.25.1),
+         gstreamer1.0-plugins-good (>= 1.25.1),
+         gstreamer1.0-plugins-bad (>= 1.25.1)
 Description: GStreamer RTSP Server (shared library)
  gst-rtsp-server is a library on top of GStreamer for building an RTSP
  server or embedding RTSP server capabilities into applications.

## gst-rtsp-server1.0 1.25.90

=== debian/changelog ===
gst-rtsp-server1.0 (1.25.90-2) unstable; urgency=medium

  * Upload to unstable

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 07 Mar 2025 16:31:18 +0100

gst-rtsp-server1.0 (1.25.90-1) experimental; urgency=medium

  * New upstream version 1.25.90
  * d/control: update dependency version to 1.25.90

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 24 Feb 2025 16:36:24 +0100

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,16 @@
                meson (>= 0.62),
                pkgconf,
                libglib2.0-dev (>= 2.62),
-               libgstreamer1.0-dev (>= 1.25.1),
-               libgstreamer-plugins-base1.0-dev (>= 1.25.1),
-               libgstreamer-plugins-bad1.0-dev (>= 1.25.1),
+               libgstreamer1.0-dev (>= 1.25.90),
+               libgstreamer-plugins-base1.0-dev (>= 1.25.90),
+               libgstreamer-plugins-bad1.0-dev (>= 1.25.90),
                gobject-introspection,
                libgirepository1.0-dev,
-               gir1.2-gstreamer-1.0 (>= 1.25.1),
-               gir1.2-gst-plugins-base-1.0 (>= 1.25.1),
-               gstreamer1.0-plugins-base (>= 1.25.1),
-               gstreamer1.0-plugins-good (>= 1.25.1),
-               gstreamer1.0-plugins-bad (>= 1.25.1)
+               gir1.2-gstreamer-1.0 (>= 1.25.90),
+               gir1.2-gst-plugins-base-1.0 (>= 1.25.90),
+               gstreamer1.0-plugins-base (>= 1.25.90),
+               gstreamer1.0-plugins-good (>= 1.25.90),
+               gstreamer1.0-plugins-bad (>= 1.25.90)
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-rtsp-server1.0.git
@@ -52,9 +52,9 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         gstreamer1.0-plugins-base (>= 1.25.1),
-         gstreamer1.0-plugins-good (>= 1.25.1),
-         gstreamer1.0-plugins-bad (>= 1.25.1)
+         gstreamer1.0-plugins-base (>= 1.25.90),
+         gstreamer1.0-plugins-good (>= 1.25.90),
+         gstreamer1.0-plugins-bad (>= 1.25.90)
 Description: GStreamer RTSP Server (shared library)
  gst-rtsp-server is a library on top of GStreamer for building an RTSP
  server or embedding RTSP server capabilities into applications.

## gst-rtsp-server1.0 1.26.0

=== debian/changelog ===
gst-rtsp-server1.0 (1.26.0-1) unstable; urgency=medium

  * Revert "d/watch pin on 1.24.x"
  * New upstream version 1.26.0
  * d/control: bump GStreamer version to 1.25.1
  * d/control: update dependency version to 1.25.90
  * d/control: update GStreamer dependencies to >= 1.26.0

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 12 Mar 2025 11:29:30 +0100

## gst-rtsp-server1.0 1.26.1

=== debian/changelog ===
gst-rtsp-server1.0 (1.26.1-1) unstable; urgency=medium

  * d/copyright: add default
  * New upstream version 1.26.1

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 25 Apr 2025 12:42:52 +0200

## gst-rtsp-server1.0 1.26.2

=== debian/changelog ===
gst-rtsp-server1.0 (1.26.2-1) unstable; urgency=medium

  * New upstream version 1.26.2

 -- Marc Leeman <marc.leeman@gmail.com>  Sat, 31 May 2025 09:18:05 +0200

## gst-rtsp-server1.0 1.26.3

=== debian/changelog ===
gst-rtsp-server1.0 (1.26.3-1) experimental; urgency=medium

  * New upstream version 1.26.3
  * d/copyright: missing-license-paragraph-in-dep5-copyright

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 27 Jun 2025 13:16:40 +0200

## gst-rtsp-server1.0 1.26.4

=== debian/changelog ===
gst-rtsp-server1.0 (1.26.4-1) experimental; urgency=medium

  * d/watch: pin to 1.26.x
  * New upstream version 1.26.4

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 16 Jul 2025 20:08:26 +0200

## gst-rtsp-server1.0 1.26.5

=== debian/changelog ===
gst-rtsp-server1.0 (1.26.5-2) unstable; urgency=medium

  * trixie has been released, re-upload to unstable

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 11 Aug 2025 09:46:23 +0200

gst-rtsp-server1.0 (1.26.5-1) experimental; urgency=medium

  * New upstream version 1.26.5

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 08 Aug 2025 09:50:58 +0200
